Qmake issue when compiling wallet (litecoin 0.8x)

litecoin

#1

I have an issue when using qmake to compile the graphical wallet for my altcoin.
when I type qmake, it gives this error:

Project MESSAGE: Building with UPNP support
lrelease error: Unexpected tag at src/qt/locale/bitcoin_af_ZA.ts:2:14
RCC: Error in ‘src/qt/bitcoin.qrc’: Cannot find file 'locale/bitcoin_af_ZA.qm’
RCC: Error in ‘src/qt/bitcoin.qrc’: Cannot find file 'locale/bitcoin_ar.qm’
RCC: Error in ‘src/qt/bitcoin.qrc’: Cannot find file 'locale/bitcoin_bg.qm’
RCC: Error in ‘src/qt/bitcoin.qrc’: Cannot find file 'locale/bitcoin_ca_ES.qm’
RCC: Error in ‘src/qt/bitcoin.qrc’: Cannot find file 'locale/bitcoin_cs.qm’
RCC: Error in ‘src/qt/bitcoin.qrc’: Cannot find file 'locale/bitcoin_da.qm’
RCC: Error in ‘src/qt/bitcoin.qrc’: Cannot find file 'locale/bitcoin_de.qm’
RCC: Error in ‘src/qt/bitcoin.qrc’: Cannot find file 'locale/bitcoin_el_GR.qm’
RCC: Error in ‘src/qt/bitcoin.qrc’: Cannot find file 'locale/bitcoin_en.qm’
RCC: Error in ‘src/qt/bitcoin.qrc’: Cannot find file 'locale/bitcoin_es.qm’
RCC: Error in ‘src/qt/bitcoin.qrc’: Cannot find file 'locale/bitcoin_es_CL.qm’
RCC: Error in ‘src/qt/bitcoin.qrc’: Cannot find file 'locale/bitcoin_et.qm’
RCC: Error in ‘src/qt/bitcoin.qrc’: Cannot find file 'locale/bitcoin_eu_ES.qm’
RCC: Error in ‘src/qt/bitcoin.qrc’: Cannot find file 'locale/bitcoin_fa.qm’
RCC: Error in ‘src/qt/bitcoin.qrc’: Cannot find file 'locale/bitcoin_fa_IR.qm’
RCC: Error in ‘src/qt/bitcoin.qrc’: Cannot find file 'locale/bitcoin_fi.qm’
RCC: Error in ‘src/qt/bitcoin.qrc’: Cannot find file 'locale/bitcoin_fr.qm’
RCC: Error in ‘src/qt/bitcoin.qrc’: Cannot find file 'locale/bitcoin_fr_CA.qm’
RCC: Error in ‘src/qt/bitcoin.qrc’: Cannot find file 'locale/bitcoin_he.qm’
RCC: Error in ‘src/qt/bitcoin.qrc’: Cannot find file 'locale/bitcoin_hr.qm’
RCC: Error in ‘src/qt/bitcoin.qrc’: Cannot find file 'locale/bitcoin_hu.qm’
RCC: Error in ‘src/qt/bitcoin.qrc’: Cannot find file 'locale/bitcoin_it.qm’
RCC: Error in ‘src/qt/bitcoin.qrc’: Cannot find file 'locale/bitcoin_lt.qm’
RCC: Error in ‘src/qt/bitcoin.qrc’: Cannot find file 'locale/bitcoin_nb.qm’
RCC: Error in ‘src/qt/bitcoin.qrc’: Cannot find file 'locale/bitcoin_nl.qm’
RCC: Error in ‘src/qt/bitcoin.qrc’: Cannot find file 'locale/bitcoin_pl.qm’
RCC: Error in ‘src/qt/bitcoin.qrc’: Cannot find file 'locale/bitcoin_pt_BR.qm’
RCC: Error in ‘src/qt/bitcoin.qrc’: Cannot find file 'locale/bitcoin_pt_PT.qm’
RCC: Error in ‘src/qt/bitcoin.qrc’: Cannot find file 'locale/bitcoin_ro_RO.qm’
RCC: Error in ‘src/qt/bitcoin.qrc’: Cannot find file 'locale/bitcoin_ru.qm’
RCC: Error in ‘src/qt/bitcoin.qrc’: Cannot find file 'locale/bitcoin_sk.qm’
RCC: Error in ‘src/qt/bitcoin.qrc’: Cannot find file 'locale/bitcoin_sr.qm’
RCC: Error in ‘src/qt/bitcoin.qrc’: Cannot find file 'locale/bitcoin_sv.qm’
RCC: Error in ‘src/qt/bitcoin.qrc’: Cannot find file 'locale/bitcoin_tr.qm’
RCC: Error in ‘src/qt/bitcoin.qrc’: Cannot find file 'locale/bitcoin_uk.qm’
RCC: Error in ‘src/qt/bitcoin.qrc’: Cannot find file 'locale/bitcoin_zh_CN.qm’
RCC: Error in ‘src/qt/bitcoin.qrc’: Cannot find file ‘locale/bitcoin_zh_TW.qm’

after typing make, these errors follow:

cd /home/ubuntu/Desktop/bastiatcoin/src/leveldb && CC=gcc CXX=g++ make
OPT="-m64 -pipe -fstack-protector-all -U_FORTIFY_SOURCE
-D_FORTIFY_SOURCE=2 -O2" libleveldb.a libmemenv.a
make[1]: Entering directory '/home/ubuntu/Desktop/bastiatcoin/src/leveldb’
make[1]: ‘libleveldb.a’ is up to date.
make[1]: ‘libmemenv.a’ is up to date.
make[1]: Leaving directory '/home/ubuntu/Desktop/bastiatcoin/src/leveldb’
cd /home/ubuntu/Desktop/bastiatcoin; /bin/sh share/genbuild.sh
/home/ubuntu/Desktop/bastiatcoin/build/build.h
/usr/lib/x86_64-linux-gnu/qt4/bin/rcc -name bitcoin src/qt/bitcoin.qrc
-o qrc_bitcoin.cpp
RCC: Error in ‘src/qt/bitcoin.qrc’: Cannot find file 'locale/bitcoin_af_ZA.qm’
Makefile:719: recipe for target ‘qrc_bitcoin.cpp’ failed
make: *** [qrc_bitcoin.cpp] Error 1

Can anyone help? Much of it would be greatly appreciated.


#2

Im not too familiar with make and qmake but maybe is a locales problem. Its posible that your environment has a setup for the some specific locale that is not on the source code. Try to setup your environment to use en_US locale and maybe the error change or dissappear


#3

That’s because Litecoin is such a disreputable outfit including CL